Page MenuHomePhabricator

jQuery.ime performs two DOM queries on every keydown
Closed, ResolvedPublic

Description

$( 'div.imeselector' ).hide();
$( 'div.imeselector-menu' ).removeClass( 'ime-open' );

On long pages with large DOM trees this in an inefficient operation to perform on every keystroke. It would be better to keep a list of active IMEs in memory somewhere and use that to close them.

Event Timeline

Esanders created this task.Mar 2 2018, 7:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 7:00 PM
Krinkle triaged this task as High priority.Jul 9 2018, 9:14 PM

Change 452938 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.ime to 4b92dee

https://gerrit.wikimedia.org/r/452938

Change 452938 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.ime to 4b92dee

https://gerrit.wikimedia.org/r/452938

Etonkovidova closed this task as Resolved.Aug 22 2018, 11:19 PM